# SPDX-FileCopyrightText: 2020-2023 Tobias Leupold <tl at stonemx dot de>
#
# SPDX-License-Identifier: BSD-3-Clause

include(../shared_config.pri)
include(sources.pri)

LIBS += -dead_strip

RESOURCES.files += ../pixmaps/banner.png
RESOURCES.files += ../pixmaps/new.png
RESOURCES.files += ../pixmaps/new_dark.png
RESOURCES.files += ../pixmaps/open.png
RESOURCES.files += ../pixmaps/open_dark.png
RESOURCES.files += ../pixmaps/marker.png
RESOURCES.files += ../pixmaps/marker_dark.png
RESOURCES.files += ../pixmaps/draw.png
RESOURCES.files += ../pixmaps/draw_dark.png
RESOURCES.files += ../pixmaps/unused.png
RESOURCES.files += ../pixmaps/unused_dark.png
RESOURCES.files += ../pixmaps/visible_dark.png
RESOURCES.files += ../pixmaps/hidden_dark.png
RESOURCES.files += ../pixmaps/phonetic.png
RESOURCES.files += ../pixmaps/phonetic_dark.png
RESOURCES.files += ../pixmaps/noautoselect.png
RESOURCES.files += ../pixmaps/noautoselect_dark.png
RESOURCES.files += ../pixmaps/synchronize.png
RESOURCES.files += ../pixmaps/synchronize_dark.png
RESOURCES.files += ../pixmaps/capitalize.png
RESOURCES.files += ../pixmaps/capitalize_dark.png
RESOURCES.files += ../pixmaps/search_as_you_type.png
RESOURCES.files += ../pixmaps/search_as_you_type_dark.png

RESOURCES.files += ./qtbase_de.qm
RESOURCES.files += ./muckturnier_de.qm
RESOURCES.files += ./application-x-muckturnier.icns

RESOURCES.files += ../../../Readme.html

RESOURCES.path = Contents/Resources
QMAKE_BUNDLE_DATA += RESOURCES

ICON = muckturnier.icns
QMAKE_INFO_PLIST = Info.plist
