// SPDX-FileCopyrightText: 2023 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef JSON_H
#define JSON_H

// Qt classes
class QJsonObject;
class QJsonArray;
class QString;

namespace Json
{

QString serialize(const QJsonObject &json);
QString serialize(const QJsonArray &json);
QJsonObject objectFromString(const QString &data);
QJsonArray arrayFromString(const QString &data);

}

#endif // JSONHELPER_H
