#!/bin/bash

# SPDX-FileCopyrightText: none
#
# SPDX-License-Identifier: CC0-1.0

version="@VERSION@"
qt="/home/tobias/Qt/5.15.11_static"

$qt/bin/lconvert -o qtbase_de.qm $qt/translations/qtbase_de.qm
$qt/bin/lrelease ../muckturnier_de.ts -qm muckturnier_de.qm
$qt/bin/qmake muckturnier.pro -config release
make -j3

strip muckturnier

mkdir -p AppImage/usr/bin
cp muckturnier AppImage/usr/bin
cp -r share AppImage/usr/
cp *.qm AppImage/usr/share/muckturnier/
cp ../org.muckturnier.muckturnier.desktop AppImage/
cd AppImage
ln -s usr/bin/muckturnier ./AppRun
ln -s usr/share/icons/hicolor/128x128/apps/muckturnier.png
ln -s usr/share/icons/hicolor/128x128/apps/muckturnier.png ./.DirIcon
cd ..

linuxdeployqt AppImage/org.muckturnier.muckturnier.desktop \
    -no-translations -appimage -qmake=$qt/bin/qmake

cp Muckturnier-x86_64.AppImage ../../../Muckturnier-$version-x86_64.AppImage
