// SPDX-FileCopyrightText: 2023 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef PLAYERS_H
#define PLAYERS_H

// Local includes
#include "Draw.h"

// Qt includes
#include <QString>

namespace Players
{

struct Data
{
    QString name;
    int marker;
    Draw::Seat assignment;
    int disqualified;
};

}

#endif // PLAYERS_H
